[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TNativeIntHelper.ToExtended

Convert to an extended-sized floating point value

## Declaration

Source position: syshelph.inc line 597

`public function TNativeIntHelper.ToExtended: Extended;`

## Description

ToDouble converts the NativeInt value to an extended-sized floating point value.

## See also

TNativeIntHelper.ToBoolean |  | Convert to a boolean value
TNativeIntHelper.ToSingle |  | Convert to an single-sized floating point value
TNativeIntHelper.ToDouble |  | Convert to a double-sized floating point value
TNativeIntHelper.ToString |  | Convert the value to string
TNativeIntHelper.ToHexString |  | Convert to a hexadecimal string representation